-- Configure basic Neovim settings.
require('general')

-- Configure key mappings not defined for plugins. This also establishes the
-- leader keys, which are important for plugins. Must be present before plugins
-- are loaded.
require('keymap')

-- This loads (lazily) all plugins and configures things like plugin-specific
-- key mappings.
require('plugin_management')

-- Initialize the color scheme, depends on plugins being available.
require('colorscheme')

-- Setup autocmd for metals - metals is a little weird and needs to load itself.
-- The plugin that's loaded just makes metals code available in the first place.
require('plugins/metals')

-- Setup treesitter, select the configs to load, etc.
require('plugins/treesitter')
